Bug 855084 - CLI: option "environment" does not work for "product list"
CLI: option "environment" does not work for "product list"
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.1
Unspecified Unspecified
low Severity low (vote)
: Unspecified
: 6.0
Assigned To: Bryan Kearney
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 12:00 EDT by Hayk Hovsepyan
Modified: 2014-09-18 12:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 12:44:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2012-09-06 12:00:35 EDT
Description of problem:
In "product list" command when you provide "--provider" together with "--environment", it does not take into account the value of "environment" option and shows all products.
Even it is possible to provide wrong environment and exception will not be thrown.

Version-Release number of selected component (if applicable):
katello-glue-pulp-1.1.9-1.git.128.be134c2.el6.noarch
katello-configure-1.1.7-1.git.119.b594042.el6.noarch
katello-repos-1.1.2-1.el6.noarch
qpid-cpp-client-0.14-16.el6.x86_64
qpid-cpp-server-ssl-0.14-16.el6.x86_64
pulp-common-1.1.12-1.el6.noarch 
katello-glue-foreman-1.1.9-1.git.128.be134c2.el6.noarch
pulp-1.1.12-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-1.1.2-1.el6.noarch
qpid-cpp-server-0.14-16.el6.x86_64
qpid-cpp-client-ssl-0.14-16.el6.x86_64
python-oauth2-1.5.170-2.pulp.el6.noarch
katello-certs-tools-1.1.8-1.el6.noarch
candlepin-selinux-0.7.8.2-1.el6.noarch
katello-glue-candlepin-1.1.9-1.git.128.be134c2.el6.noarch
pulp-selinux-server-1.1.12-1.el6.noarch
katello-1.1.9-1.git.128.be134c2.el6.noarch
candlepin-tomcat6-0.7.8.2-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-1.1.5-1.git.129.be134c2.el6.noarch
python-qpid-0.14-8.el6.noarch
candlepin-0.7.8.2-1.el6.noarch
katello-common-1.1.9-1.git.128.be134c2.el6.noarch
katello-selinux-1.1.1-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.5-1.git.129.be134c2.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
mod_wsgi-3.3-3.pulp.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Create a provider. Create 2 products and 2 environments.
2. Promote 1st product to 1st environment, 2nd product to second environment.
3. Now try to list the products from 1st environment by CLI: "product list --environment $env1 --provider $prov --org $org". It will show all products instead of showing only the 1st one, as it is promoted to 1st environment. But if you do not provide "--provider" option, it will work OK.
 
Actual results:
It does not take into account environment's value when provider value is given.

Expected results:
It should list only those products which were promoted to that environment.
Comment 1 Miroslav Suchý 2012-09-13 08:21:43 EDT
taking
Comment 2 Mike McCune 2013-08-16 14:22:30 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 3 Bryan Kearney 2014-03-11 12:44:18 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.